glab(1)

NAME
glab-ci-trigger - Trigger a manual CI/CD job.

SYNOPSIS
glab ci trigger [] [flags]

DESCRIPTION
Without a job argument, you can select one interactively. You can trigger only jobs with manual status.

OPTIONS
-b, --branch=""
    The branch to search for the job. Defaults to the current branch.

-p, --pipeline-id=0
    The pipeline ID to search for the job.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Interactively select a job to trigger
    glab ci trigger
    # Trigger a manual job by ID
    glab ci trigger 224356863
    # Trigger a manual job by name
    glab ci trigger lint

SEE ALSO
glab-ci(1)